/* InterfaceBuilder - IBInspector.h
 * Copyright (c) 1995-1996 NeXT Software, Inc.
 * All rights reserved.
 */

#import <AppKit/AppKit.h>
#import <InterfaceBuilder/IBSystem.h>

@interface IBInspector : NSObject
{
    id _object;
    NSWindow *_window;
    id _manager;
    NSButton *_okButton;
    NSButton *_revertButton;
}
- (BOOL)wantsButtons;
- (void)revert:(id)sender;
- (void)ok:(id)sender;
- (id)object;
- (NSWindow *)window;
- (NSButton *)okButton;
- (NSButton *)revertButton;
- (void)touch:(id)sender;
- (void)textDidBeginEditing:(NSNotification *)notification;
@end

@interface NSObject (IBInspectorClassNames)
- (NSString *)inspectorClassName;
- (NSString *)connectInspectorClassName;
- (NSString *)sizeInspectorClassName;
- (NSString *)helpInspectorClassName;
- (NSString *)classInspectorClassName;
@end

/* Notifications. */

/* The notification object is the inspected object. */
IB_EXTERN NSString *IBInspectorDidModifyObjectNotification;
